GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
tsi_handshaker_vtable Struct Reference

`#include <transport_security.h>`

## Data Fields
tsi_result(* | get_bytes_to_send_to_peer )(tsi_handshaker *self, unsigned char *bytes, size_t *bytes_size)
tsi_result(* | process_bytes_from_peer )(tsi_handshaker *self, const unsigned char *bytes, size_t *bytes_size)
tsi_result(* | get_result )(tsi_handshaker *self)
tsi_result(* | extract_peer )(tsi_handshaker *self, tsi_peer *peer)
tsi_result(* | create_frame_protector )(tsi_handshaker *self, size_t *max_protected_frame_size, tsi_frame_protector **protector)
void(* | destroy )(tsi_handshaker *self)

## Field Documentation

tsi_result(* tsi_handshaker_vtable::create_frame_protector)(tsi_handshaker *self, size_t *max_protected_frame_size, tsi_frame_protector **protector)

void(* tsi_handshaker_vtable::destroy)(tsi_handshaker *self)

tsi_result(* tsi_handshaker_vtable::extract_peer)(tsi_handshaker *self, tsi_peer *peer)

tsi_result(* tsi_handshaker_vtable::get_bytes_to_send_to_peer)(tsi_handshaker *self, unsigned char *bytes, size_t *bytes_size)

tsi_result(* tsi_handshaker_vtable::get_result)(tsi_handshaker *self)

tsi_result(* tsi_handshaker_vtable::process_bytes_from_peer)(tsi_handshaker *self, const unsigned char *bytes, size_t *bytes_size)

The documentation for this struct was generated from the following file:

- src/core/tsi/transport_security.h